Bug 736154 - Add 'set rhevm admin password' to RHEVH config TUI and kernel cmdline args
Summary: Add 'set rhevm admin password' to RHEVH config TUI and kernel cmdline args
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Yotam Oron
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks: 735725
TreeView+ depends on / blocked
 
Reported: 2011-09-06 20:29 UTC by Perry Myers
Modified: 2011-12-06 07:26 UTC (History)
14 users (show)

Fixed In Version: vdsm-4.9-101
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 07:26:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:1782 normal SHIPPED_LIVE new packages: vdsm 2011-12-06 11:55:51 UTC

Description Perry Myers 2011-09-06 20:29:51 UTC
Description of problem:
In order to support a more streamlined registration flow for manual registration (vs. pxe automated registrations) we need to configure the root password on RHEVH boxes so that RHEVM can ssh into each node to set up the public key for future SSH sessions

However, we do not want to tie ourselves to needing 'root' user account indefinitely as we have a requirement to remove the root user usage from RHEVH entirely.

Because of this, we should instead add a Configure RHEVM Admin Password option to the RHEV TUI section of RHEVH and add a rhevm_admin_password kernel commandline argument alongside the rhevm_host and other parameters

Under the covers, setting rhevm_admin_password will of course (for now) set the root password, but eventually this can be migrated to a new user other than root (perhaps call it ... rhevm)

The only issue with this approach is that we do already have a root_password kernel cmdline that is not supported and only intended to be used by Red Hat Support.  We need to deal with situations where the user attempts to set both root_password and rhevm_admin_password simultaneously.  Perhaps a well defined precedence?  Or just documentation saying "Don't do that... for now" until we separate out the registration flow from needing root user access

Comment 1 Yotam Oron 2011-09-07 08:21:58 UTC
Perry, please explain the purpose of this. Currently RHEV-H downloads the root ssh public key from RHEV-M.

Why do we need to set the root password on RHEV-H? Is it related to bug 735725?

Comment 2 Alan Pevec 2011-09-07 09:44:10 UTC
(In reply to comment #1)
> Why do we need to set the root password on RHEV-H? Is it related to bug 735725?

This is to enable "rhevm will pass to rhevh" part from bug 735725
For RHEL installation flow, RHEV-M requires root credentials, and by default, root is not enabled on RHEV-H.

Comment 3 Alan Pevec 2011-09-07 10:01:08 UTC
(In reply to comment #0)
> The only issue with this approach is that we do already have a root_password
> kernel cmdline that is not supported and only intended to be used by Red Hat
> Support.

small correction, boot parameters are rootpw and adminpw

> We need to deal with situations where the user attempts to set both
> root_password and rhevm_admin_password simultaneously.  Perhaps a well defined
> precedence?

yes, rhevm_admin_password would trump rootpw which makes sense.

> Or just documentation saying "Don't do that... for now" until we
> separate out the registration flow from needing root user access

RTFM is rarely done, so we'd better have sane default

Comment 5 Yotam Oron 2011-09-08 13:04:26 UTC
TUI fix here:
http://gerrit.usersys.redhat.com/#change,913

Comment 8 errata-xmlrpc 2011-12-06 07:26:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2011-1782.html


Note You need to log in before you can comment on or make changes to this bug.